OUTPUT_FORMAT("elf32-m32c", "elf32-m32c",
	      "elf32-m32c")
OUTPUT_ARCH(m32c)
ENTRY(_start)
MEMORY {
	ROM (r)      : ORIGIN = 0xff00, LENGTH = 0x0080
	VEC (r)      : ORIGIN = 0xffdc, LENGTH = 0x0020
	RESETVEC (r) : ORIGIN = 0xfffc, LENGTH = 0x0004
}
SECTIONS
{
  .text :
  {
    *(.text)
  } > ROM =0
  .vec : {
    *(.vec)
  } > VEC
  .resetvec : {
    *(.resetvec)
  } > RESETVEC
}
